Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class GMFHelper

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
          org.eclipse.emf.ecore.xmi.impl.XMIHelperImpl
              org.eclipse.gmf.runtime.emf.core.resources.GMFHelper

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLHelper

    public class GMFHelper

extends org.eclipse.emf.ecore.xmi.impl.XMIHelperImpl

This class changes the behavior of the default XMIHelper so that references between projects are not deresolved.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
`org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl.NamespaceSupport`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`org.eclipse.emf.ecore.xmi.XMLHelper.ManyReference`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`allPrefixToURI, anyPrefixesToURIs, anySimpleType, checkForDuplicates, danglingHREFException, deresolve, extendedMetaData, featuresToKinds, fragmentPrefixes, INTEGER_DATATYPE_IS_MANY, INTEGER_DATATYPE_SINGLE, INTEGER_IS_MANY_ADD, INTEGER_IS_MANY_MOVE, INTEGER_OTHER, laxFeatureProcessing, mustHavePrefix, namespaceSupport, noNamespacePackage, packageRegistry, packages, prefixesToURIs, processDanglingHREF, resource, resourceURI, roots, seenEmptyStringMapping, uriHandler, urisToPrefixes, xmlMap, xmlSchemaTypePackage`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

Constructor Summary
`GMFHelper(org.eclipse.emf.ecore.xmi.XMLResource resource)` Constructor.

Method Summary
`org.eclipse.emf.common.util.URI` `deresolve(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`addNSDeclaration, addPrefix, computeFeatureKind, convertToString, createFromString, createObject, createObject, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeature, getFeatureKind, getFeatureWithoutMap, getHREF, getHREF, getID, getIDREF, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getResource, getType, getURI, getURIFragment, getURIFragmentQuery, getValue, getXMLEncoding, getXMLMap, handleDanglingHREF, packages, popContext, popContext, populateNameInfo, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, saveString, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setResource, setValue, setXMLMap, updateQNamePrefix, updateQNameURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMFHelper

    public GMFHelper(org.eclipse.emf.ecore.xmi.XMLResource resource)

  Constructor.

Method Detail

### deresolve

    public org.eclipse.emf.common.util.URI deresolve(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `deresolve` in interface `org.eclipse.emf.ecore.xmi.XMLHelper`
  Overrides:
    `deresolve` in class `org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl`
  See Also:
    `XMLHelper.deresolve(org.eclipse.emf.common.util.URI)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.